Subject: bug#40845: SVG rendering issues

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Apr 2020 18:46:10 +0300

> From: Pip Cet <[email-masked]>
> Date: Sat, 25 Apr 2020 14:34:11 +0000
> Cc: [email-masked]
> 
> > 3. The SVG images don't inherit the foreground of the current face; instead, they use a black foreground.
> 
> Also, IIRC, 3 is an rsvg issue.

I don't think I understand what item 3 is complaining about.  If I
visit etc/images/splash.svg, it gets the background color of the
default face.  So is the complaint that it takes the background from
the default face instead of the current face?  That should be easy to
fix, I think, as this code in svg_load_image shows:

    Emacs_Color background;
    Lisp_Object specified_bg = image_spec_value (img->spec, QCbackground, NULL);
    if (!STRINGP (specified_bg)
	|| !FRAME_TERMINAL (f)->defined_color_hook (f,
                                                    SSDATA (specified_bg),
                                                    &background,
                                                    false,
                                                    false))
      FRAME_TERMINAL (f)->query_frame_background_color (f, &background);